import { Tint } from '@dvn/alaca/theme';
export declare class Notification {
  icon?: string;
  id?: string;
  message: string;
  timeout: number;
  title: string;
  tint?: Tint;
  constructor(message: string, title?: string, tint?: Tint, icon?: string, timeout?: number);
  static alert(message: string, title?: string): Notification;
  static congratulate(message: string, title?: string): Notification;
}
export declare type Notify = (notification: Notification) => void;
export declare class Notifier {
  private showNotification;
  alert(message: string, title?: string): void;
  congratulate(message: string, title?: string): void;
  inform(message: string, title?: string): void;
  notify(message: string, title?: string): void;
  showCustomNotification(notification: Notification): void;
  warn(message: string, title?: string): void;
  constructor(showNotification: Notify);
}
